<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1, width=device-width" />
    <title>Simple Challenge Run Counter</title>
  </head>
  <body style="width: 100vw; height: 100vh; background-color: rgba(0, 0, 0, 0);">
    <div id="root" style="width: 100vw; height: 100vh; background-color: rgba(0, 0, 0, 0);"></div>
    <script src="../dist/challenge-run-client.min.js" type="application/javascript"></script>

    <script type="application/javascript">
      let html = '';

      async function start(host, port) {
        const root = document.getElementById('root');
        const client = await ChallengeRunClient.connect({host, port});

        await new Promise((resolve) => {
          client.on('splits-updated', (data) => {
            const {activeRoute, activeSplits} = data;

            html = '';
            html += '<table><thead>';

            html += `
              <tr>
                <th>${activeRoute.name}</th>
                <th>hits</th>
                <th>pb</th>
              </tr>
            `;

            html += '</thead>';
            html += '<tbody>';

            html += activeSplits.map(({id, name, active, hits_way, hits_boss, pb_hits}) => `
              <tr>
                <td>
                  <b>${active ? '*' : '&nbsp'}</b>
                  ${name}
                </td>
                <td>
                  ${(hits_way || 0) + (hits_boss || 0)}
                </td>
                <td>
                  ${pb_hits}
                </td>
              </tr>
            `).join('\n');

            html += '</tbody>';
            root.innerHTML = html;
          });
        });
      }

      start('localhost', '42069')
        .then(console.log)
        .catch(console.error);
    </script>

  </body>
</html>
